Loading... Please wait...

Our Newsletter


How to Upgrade R4i RTS for 3DS V2.1.0-4 and DSi V1.4.3

Posted on 24th Sep 2011 @ 3:19 AM

R4i RTS card is a powerful flashcard made by r4isdhc.com.    

r4i-rts-card.jpg

The latest R4i RTS version can work on Nintendo 3DS V2.1.0-4 U/E and DSi V1.4.3 straightly, no need any upgrade. But if the R4i RTS card is made before 2011 Sep, it need to be upgrade on a DS Lite or DSi console. (DSi should below V1.4.3 version).

1. Download below update patch to the computer, and unzip the patch, you can get 3 files.
    R4i RTS V1.4.3 Patch for DSi V1.4.3;     R4i RTS V2.1.0 Patch for 3DS V2.1.0-4.

2. Copy all 3 files “_ds_menu.sys”, “_DS_MENU.dat”, “EON_WRITE.dat” to the root directory of the TF card.

3. Insert the TF card into the R4i RTS, and connect R4i card to NDS or NDSi, the updated software will automatically run up.

4. “Press [A] to continue[EON]…” message will be displayed on the bottom of the screen. Press [A] to start the updated process.
                "Write… OK"
                "Read… OK"
                "Verify…OK"

5. “EON_WRITE.DAT = 0 x 200000″ message will be displaed on the screen, it means the updated process has been started, it needs to take several minutes. The updated process will be finished successfully until the following words are shown.

6. Update process is finished, you can run the R4i RTS card on Nintendo 3DS V2.1.0-4U/E and DSi V1.4.3 now.

    R4i RTS card upgrade process finished, it can run on Nintendo 3DS V2.1.0-4U/E and DSi V1.4.3 console.